#include <iostream>

using namespace std;

int main()
{
    int brucenika,brparova,ukupan=0,a1,b1;
    int a[50000],b[50000];
    long drugovi[100000];
    int poznanici[100000]={0};
    int neprijatelji[100000]={0};
    int prijatelji[100000]={0};
    cin>>brucenika>>brparova;
    for(int i=1; i<=brucenika; i++){
        cin>>drugovi[i];
    }
    for(int i=1; i<=brparova; i++){
        cin>>a[i]>>b[i];
        }
    for(int i=1; i<=brparova; i++){
        a1=a[i];
        b1=b[i];
        poznanici[a1]++;
        poznanici[b1]++;
    }
    for(int i=1; i<=brparova; i++){
        if(drugovi[i]*poznanici[i]+drugovi[i+1]*poznanici[i+1]>drugovi[i]*(0-poznanici[i])+drugovi[i]*(0-poznanici[i+1])){
                prijatelji[i]++;
                prijatelji[i+1]++;

        }
        else{
            neprijatelji[i]++;
            neprijatelji[i+1]++;
        }
        poznanici[i]--;
        poznanici[i+1]--;
    }
    for(int i=1; i<=brucenika; i++){
        ukupan=ukupan+drugovi[i]*(prijatelji[i]-neprijatelji[i]);
    }
    cout<<ukupan;



}